Browse Source

update custom-kernel 5.15.105

wareck 1 year ago
parent
commit
a332081dd2
3 changed files with 11 additions and 13 deletions
  1. 9 11
      build_cube.sh
  2. 1 1
      options/chia.sh
  3. 1 1
      options/watchdog.sh

+ 9 - 11
build_cube.sh

@@ -35,14 +35,10 @@ NO)
 	if [[ "$unamestr" == '5.15.0-69-generic' ]]
 	then
 	echo -e "$(tput setaf 10)DKMS Kernel install :$(tput setaf 7)"
-	#if ! [ -f backup_boot.tar.gz ]
-	#then
-	#sudo tar cvfz backup_boot.tar.gz /boot/
 	sudo rm /boot/config-5.15*
 	sudo rm /boot/initrd.img-5.15*
 	sudo rm /boot/System.map-5.15*
 	sudo rm /boot/vmlinuz-5.15*
-	#fi
 	sudo apt-get install linux-image-5.4.0-54-generic linux-headers-5.4.0-54-generic linux-modules-extra-5.4.0-54-generic htop -y
 	sudo update-grub2
         sudo apt-mark hold linux-image-5.4.0-54-generic linux-headers-5.4.0-54-generic linux-modules-extra-5.4.0-54-generic
@@ -62,16 +58,16 @@ NO)
 	fi
 	;;
 YES)
-	if ! [[ "$unamestr" == '5.16.20-custom' ]]
+	if ! [[ "$unamestr" == '5.15.105-custom' ]]
 	then
 	echo -e "$(tput setaf 7)Custom kernel install (fixed DKMS and WOL) :$(tput setaf 7)"
 	cd /tmp/
 	wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/custom_kernel.tar.xz
 	tar xvfJ custom_kernel.tar.xz
 	cd /tmp/custom_kernel
-	sudo dpkg -i linux-libc-dev_5.16.20-custom-1_amd64.deb
-	sudo dpkg -i linux-headers-5.16.20-custom_5.16.20-custom-1_amd64.deb
-	sudo dpkg -i linux-image-5.16.20-custom_5.16.20-custom-1_amd64.deb
+	sudo dpkg -i linux-libc-dev_5.15.105-custom-1_amd64.deb
+	sudo dpkg -i linux-headers-5.15.105-custom_5.15.105-custom-1_amd64.deb
+	sudo dpkg -i linux-image-5.15.105-custom_5.15.105-custom-1_amd64.deb
 	autoroot_
 	decompte_
 	fi
@@ -203,14 +199,16 @@ AMD)
                 cd /home/wareck
                 echo -e ""
                 echo -e "Install drivers:"
-		wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/amdgpu-install_5.4.50403-1_all.deb -O /home/wareck/Build_Cube/pack/amdgpu-install_5.4.50403-1_all.deb
-		#wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/amdgpu-install_22.20.50200-1_all.deb -O /home/wareck/Build_Cube/pack/amdgpu-install_22.20.50200-1_all.deb
+		#wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/amdgpu-install_5.4.50403-1_all.deb -O /home/wareck/Build_Cube/pack/amdgpu-install_5.4.50403-1_all.deb
+		wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/amdgpu-install_22.20.50200-1_all.deb -O /home/wareck/Build_Cube/pack/amdgpu-install_22.20.50200-1_all.deb
 		wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/linux-firmware.tar.xz
 		tar xfJ linux-firmware.tar.xz
 		sudo cp /home/wareck/linux-firmware/amdgpu/* /lib/firmware/amdgpu/
 		sudo rm -r -f /home/wareck/linux-firmware /home/wareck/linux-firmware.tar.xz
 
-		sudo apt-get install /home/wareck/Build_Cube/pack/amdgpu-install_5.4.50403-1_all.deb -y
+		#sudo apt-get install /home/wareck/Build_Cube/pack/amdgpu-install_5.4.50403-1_all.deb -y
+		sudo apt-get install /home/wareck/Build_Cube/pack/amdgpu-install_22.20.50200-1_all.deb -y
+
 		sudo apt-get update
 		sudo amdgpu-install --opencl=legacy --accept-eula -y
 		sudo apt-get install ocl-icd-opencl-dev -y

+ 1 - 1
options/chia.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-Gui=Yes #can be Yes No or Only
+Gui=No #can be Yes No or Only
 Service=No
 Version=3.0
 

+ 1 - 1
options/watchdog.sh

@@ -42,7 +42,7 @@ EOF
 if  [ -f /tmp/watchdog.2 ];then rm /tmp/watchdog.2;fi
 cat <<'EOF'>> /tmp/watchdog.2
 #!/bin/bash
-timing=10
+timing=18
 stty -F /dev/watchdog ispeed 9600 ospeed 9600 -ignpar cs8 -cstopb -echo
 echo -n -e "\x$timing" >/dev/watchdog
 EOF